<template>
	<div class="container">
		<transition name="popup-panorama">
			<popup-panorama v-if="vue.$store.state.openPopupPanorama" />
		</transition>
		<welcome-screen />
		<room-cards />
		<footer-app />
	</div>
</template>

<script>
import { inject, reactive, toRefs } from 'vue'
import PopupPanorama from '@/components/PopupPanorama'
import WelcomeScreen from '@/components/WelcomeScreen'
import RoomCards from '@/components/RoomCards'
import FooterApp from '@/components/FooterApp'

export default {
	components: {
		PopupPanorama,
		WelcomeScreen,
		RoomCards,
		FooterApp,
	},
	setup() {
		const state = reactive({
			vue: inject('vue'),
		})

		return {
			...toRefs(state),
		}
	},
}
</script>

<style lang="scss">
@import url('https://fonts.googleapis.com/css2?family=Comfortaa:wght@300;400;500;600;700&display=swap');

@keyframes popup-panorama {
	0% {
		transform: scale(0);
		opacity: 0;
	}
	100% {
		transform: scale(1);
		opacity: 1;
	}
}

.popup-panorama-enter-active {
	animation: popup-panorama 1s;
}
.popup-panorama-leave-active {
	animation: popup-panorama 0.5s reverse;
}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

html {
	font-size: 120%;
	scroll-behavior: smooth;
}

body {
	background: url('../public/images/background.png');
	background-attachment: fixed;
	background-size: cover;
	font-family: 'Comfortaa', cursive;
	// min-height: 100vh;
	display: grid;
	align-content: center;
}

.container {
	display: grid;
	grid-gap: 2rem;
}
</style>
